Share via


Virtual Hub Bgp Connections - List Advertised Routes

Retrieves a list of routes the virtual hub bgp connection is advertising to the specified peer.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualHubs/{hubName}/bgpConnections/{connectionName}/advertisedRoutes?api-version=2025-05-01

URI Parameters

Name In Required Type Description
connectionName
path True

string

The name of the bgp connection.

hubName
path True

string

The name of the virtual hub.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

Azure operation completed successfully.

202 Accepted

Resource operation accepted.

Headers

  • Location: string
  • Retry-After: integer
Other Status Codes

CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

VirtualRouterPeerListAdvertisedRoutes

Sample request

POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/virtualHubs/virtualRouter1/bgpConnections/peer1/advertisedRoutes?api-version=2025-05-01

Sample response

{
  "RouteServiceRole_IN_0": [
    {
      "asPath": "65515",
      "localAddress": "10.85.3.4",
      "network": "10.45.0.0/16",
      "nextHop": "10.85.3.4",
      "origin": "Igp",
      "sourcePeer": "10.85.3.4",
      "weight": 0
    },
    {
      "asPath": "65515",
      "localAddress": "10.85.3.4",
      "network": "10.85.0.0/16",
      "nextHop": "10.85.3.4",
      "origin": "Igp",
      "sourcePeer": "10.85.3.4",
      "weight": 0
    },
    {
      "asPath": "65515",
      "localAddress": "10.85.3.4",
      "network": "10.100.0.0/16",
      "nextHop": "10.85.3.4",
      "origin": "Igp",
      "sourcePeer": "10.85.3.4",
      "weight": 0
    }
  ],
  "RouteServiceRole_IN_1": [
    {
      "asPath": "65515",
      "localAddress": "10.85.3.4",
      "network": "10.45.0.0/16",
      "nextHop": "10.85.3.4",
      "origin": "Igp",
      "sourcePeer": "10.85.3.4",
      "weight": 0
    },
    {
      "asPath": "65515",
      "localAddress": "10.85.3.4",
      "network": "10.85.0.0/16",
      "nextHop": "10.85.3.4",
      "origin": "Igp",
      "sourcePeer": "10.85.3.4",
      "weight": 0
    },
    {
      "asPath": "65515",
      "localAddress": "10.85.3.4",
      "network": "10.100.0.0/16",
      "nextHop": "10.85.3.4",
      "origin": "Igp",
      "sourcePeer": "10.85.3.4",
      "weight": 0
    }
  ]
}
location: https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Network/locations/{location}/operationResults/{operationId}?api-version={api-version}

Definitions

Name Description
CloudError

An error response from the service.

CloudErrorBody

An error response from the service.

CloudError

An error response from the service.

Name Type Description
error

CloudErrorBody

Cloud error body.

CloudErrorBody

An error response from the service.

Name Type Description
code

string

An identifier for the error. Codes are invariant and are intended to be consumed programmatically.

details

CloudErrorBody[]

A list of additional details about the error.

message

string

A message describing the error, intended to be suitable for display in a user interface.

target

string

The target of the particular error. For example, the name of the property in error.